---
title: 벡터공간(Vector space)
description: 벡터공간
published: true
date: 2020-10-24T14:41:55.900Z
tags: 선형대수, 대수
editor: markdown
dateCreated: 2020-09-22T11:33:05.470Z
---

# 벡터공간(Vector space)
벡터공간은 체 $F$위의 [모듈(Module)](/모듈(수학))이다.

어떤 벡터 리스트 $\textbf v=( v_1,v_2,\cdots, v_n)$가 있으면, 벡터 리스트를 의 일차결합을 생각할 수 있다.

$$a_1 v_1+a_2 v_2+\cdots+a_n v_n = \sum a_i v_i$$

이러한 일차 결합을 선형조합이라고 한다.  

## 기저와 좌표(bases and corddinates)

어떤 벡터 $w$를 벡터 리스트 $\textbf v$에 대해서 $w=\sum{v_n\xi_n}$ 로서 $\xi_n$으로 표현할 때,
그 리스트 $\textbf v$가 공간 $V$를 생성(span)한다는 것은 $\xi_i$으로 **적어도** 한가지로 표현한다는 것이고,
리스트 $\textbf v$가 공간 $V$의 기저(basis)라는 것은 $\xi_i$으로 **정확히** 한가지로만 표현된다는 것이고,
리스트 $\textbf v$가 공간 $V$에 선형독립(linearly independent)라는 것은  $\xi_i$으로 **최대** 한가지로 표현된다는 것이다.
가장 마지막의 선형 독립에 대한 조건을 바꾸어보면,
$$\begin{alignedat}{2}
 \sum v_i \xi_i&=\sum v_i\eta_i &\Rightarrow \xi_i=\eta_i\\
 \sum v_i(\xi_i-\eta_i)&=0 &\Rightarrow \xi_i -\eta_i=0\\
\sum v_i\lambda_i&=0 &\Rightarrow \lambda_i=0\\
\end{alignedat}\\
$$
으로 영벡터에 대하여 유일하게 모두 계수가 0으로만 표현된어야 한다는 것을 의미한다.

### Proposition 1
$L_{\textbf v}:F^n\rightarrow V$, $L_{\textbf v}(\xi)=v_1\xi_1+\dots+v_n\xi_n$
이란 함수를 정의하면,

- 리스트 $\textbf v$ 가 공간 $V$를 생성(span)한다 $\Leftrightarrow$ $L_{\textbf v}$ 는 epimorphism이다.
- 리스트 $\textbf v$가 $V$에서 선형독립(lineary independence)이다 $\Leftrightarrow$ $L_{\textbf v}$는 monomorphism이다.
- 리스트 $\textbf v$가 $V$의 기저(basis)이다. $\Leftrightarrow$ $L_{\textbf v}$는 isomorphism이다.
#### 증명
단순하게 $L_{\textbf v}$는 선형조합이므로 [선형변환](/선형변환)이다. 자세하게는 리스트 ${\bf \xi, \eta}$에 대해서,
$$L_{\textbf{v}}({\bf \xi + \eta})=\sum_i v_i(\xi_i+\eta_i)=\sum_iv_i\xi_i+\sum_iv_i\eta_i=L_{\textbf{v}}({\bf \xi})+L_{\bf v}(\eta)$$
이고, 스칼라 $\kappa$에 대해,
$$L_{\textbf{v}}({\bf \xi}\kappa)=\sum_iv_i(\xi_i\kappa)=\sum_i(v_i\xi_i)\kappa=L_{\textbf{v}}({\bf \xi})\kappa$$
이므로 선형변환이다.
$L_{\textbf v}$가 공간 $V$를 생성한다는 것은 어떤 벡터 $w$에 대해서, $L_{\textbf v}(\xi)=w$인 $\xi$가 있다는 것이므로, epimorphism이다. 비슷하게 선형독립이란 것은 monomorphism이고, 기저라는 것은 isomorhpism이다.

이로부터 좌표(Coordinate)를 정의할 수 있다.

### 좌표(Coordinate)
기저(basis) $\bf b$ 가 있어 $v=b_i\xi_i+\cdots b_n\xi_n$ 이면,
$\xi_n$는 기저가 $\bf b$인 $v$의 좌표(coordinates of $\bf v$ relative to a basis $b$)이다.
이때 리스트 $\textbf b: n\rightarrow V$는 벡터공간 $V$의 기저(basis)이다.

### Theorem 2.
주장 1(Proposition 1)에서 $L_b:F^n\cong V$임으로, $F^n$는 [자유모듈](/모듈(수학)#자유모듈free-modules)(free module)이다. 그러므로 $L_b(\epsilon_i)=b(i)$라고 할 수 있다.

기저(basis)가 $b$인 벡터공간(vector space) $V$은 $b$의 벡터들이 자유생성원(free generator)인 자유 F-모듈(free F-module)이다.

### Proposition 3
벡터 리스트가 선형종속(linearly dependent) 할때 생성원 하나 줄이면:
$v_k=v_i(-\xi_1\xi_k^{-1})+\cdots+v_{k-1}(-\xi_{k-1}\xi_k^{-1})$
그에 따른 결과로
#### Corollary
유한한 종류의 벡터공간은 기저를 가진다.
나눔환(division ring)에서도 성립한다.

## 차원(Dimention)

### THEOREM 4

같은 벡터공간 $V$에서 선형 독립 $m$ 벡터 리스트 $\bf{v}$있을 때, 벡터공간 $V$을 생성(span)하는 어떤 $n$ 벡터 리스트든지 $n\geq m$이다. 더 나아가, $\bf{v}$를 포함하는 $n$ 벡터 리스트는 $V$를 생성(span)할 수 있다.

증명 : 수학적 귀납법 사용하자.

$m=0$일 때, 결과는 자명하다.

$m=m$일 때, $m$ 독립 벡터의 모든 리스트에 대해 성립한다고 가정하자.
이제 $\bf{v}$가 $m+1$ 선형독립벡터 리스트라고 하자.
귀납 가정에 의해서, 
$(v_1,v_2,\cdots ,v_m,w_1,\cdots,w_{n-m})$ 는 $V$를 생성한다.
그러면 $v_{m+1}$도 생성 가능하다.

$$\tag{3} v_{m+1} = v_1\xi_1+\cdots +v_m\xi_m+w_1\eta_1,\cdots,w_{n-m}$$

만약 $m=n$ 이면, $w_i$는 없고 그럼 $v_{m+1}$이 $v_1,\cdots,v_m$에 대해 표현되니 $v_1,\cdots,v_m,v_{m+1}$이 선형독립이라는 가설에 모순. 그래서 $m+1 \leq n$ 이다.

Adjoint $v_{m+1}$.

$(v_1,v_2,\cdots ,v_m,v_{m+1},w_1,\cdots,w_{n-m})$

이것도 여전히 $V$를 생성한다.

위의 (3)에 의해 선형 종속이다.

Proposition 3에 의해서 벡터 하나를 뺄 수 있다.

$v_1,\cdots,v_{m+1}$이 선형독립이기에 $w$에서 뺼 수 있다.

빠지는 벡터를 $w_j$라 하면,

$(v_1,v_2,\cdots ,v_m,w_1,\cdots,w_{j-1},w_{j+1},\cdots,w_{n-m})$

여전히 $V$ 생성한다 그리고 containing the whole list $V$.

수학적 귀납법 끝. 증명 끝.

#### Corollary 1 Invariance of Dimension

유한 타입의 벡터 공간 $V$의 아무 두 기저는 같은 수의 기저를 가지고 있다.

증명 : $(b_1,b_2,\cdots ,b_m)$와 $(c_1,c_2,\cdots ,c_n)$를 두 $m$ 벡터 기저와 $n$ 벡터 기저라고 하자. 그러면, 

|선형독립|$V$를 생성||결론|
|:---|:---:|---:|---|
|$b$|$c$|implies|$m\leq n$|
|$c$|$b$|implies|$n\leq m$|

그래서 $n=m$이다. 증명 끝.

$V$의 기저의 벡터의 개수를 차원(dimension)이라고 부르고, $\dim V=n$이라고 표기한다. $\dim V$가 무한이라는 것의 의미는 $V$가 유한한 기저를 가지고 있지 않다는 것이다. 이 정의에 의해 $\dim F^n=n$ 이다. 유한한 타입의 벡터공간을 유한차원 벡터공간이라고 부른다.

#### Corollary 2

$n$ 차원 벡터공간 $V$에서

- (i) 아무 $V$의 $n+1$ 벡터들의 리스트는 선형종속이다.
- (ii) $V$를 생성하는 $n-1$ 벡터들의 리스트는 없다.

---
### Theorem 5

In a 유한 차원 벡터 공간 $V$:

- (i) 어떤 선형독립 벡터들 리스트를 잡든 그것은 기저의 일부분이다. 
- (ii) $V$를 생성하는 벡터들 리스트는 기저를 포함한다.

증명 : To prove (ii), Apply reduction process in proposition 3.

As for(i), find the list of vectors spanning $V$, which must exist.

Apply reduction process in theorem 4.

### Corollary

$n$ 차원 벡터공간 $V$에서

- (i) 아무 $V$의 $n$ 선형독립벡터들의 리스트는 기저이다.
- (ii) $V$를 생성하는 $n$ 벡터들의 리스트는 기저이다.

증명: For(i), $v$가 $n$ 선형독립벡터 리스트라고 하자.

그럼 $v$는 기저의 일부분이다.

기저는 $n$개의 원소인데. (ii)도 비슷하다.

### Proposition 6. 아무 codomain이 유한차원 $V'$인 monomorphism $s:V\rightarrow V'$는 linear left inverse를 가진다. 아무 codomain이 유한 차원 $V$인 epimorhpism $V\rightarrow V'$도 linear right inverse를 가진다.

증명 : $V$가 $m$ 차원이고 $V'$이 $n$ 차원이라 하자.

s가 monomorphism 이니까 $V$에서 선형독립이면 $V'$에서 선형독립이고 $m\leq n$ 이다.

$V$에서 $m$ 벡터의 기저 $\bf b$를 고르자.

그럼 $s({\bf b})$도 $V'$에서 선형독립이다.

$V'$에서 $s(\bf b)$를 포함한 기저를 만들고 $(s(b_1),s(b_2),\cdots,s(b_m),b'_{m+1},\cdots,b'_n)$ 이라고 지칭하자.

이것은 free $F$-module $V'$ 의 free generator list 이므로 

선형 사상 $t:V'\rightarrow V$ : 
$$\begin{cases}
t(s(b_i))=b_i &\text{for }i\in \bf{m}\\
t(b'_j)=0 &\text{for each } i = m+1,\cdots,n
\end{cases}$$
 를 정의할 수 있다.

그래서 $(t\circ s)(b_i)=b_i$,

그러므로 $t\circ s$ 는 무조건 identity $V\rightarrow V$ 이니 $t$ 는 left inverse 다.

두번째 epimorphism 은 spanned 가지고 비슷하게 하면 된다.

## 기저로 만들기(Construction for bases)

### Proposition 7

$S$ 가 유한차원벡터공간 $V$의 부분공간(subspace)면, 
각각의 $S$의 기저는 V 기저의 일부분이다.
그래서, $\dim S \le \dim V$; 더욱이, $\dim S \lt \dim V$ 이면 $S$는 $V$의 진부분공간(proper subspace)이다.

Proof: $S$에서 선형독립 벡터리스트는 $V$에서도 선형독립이다.
$V$에서 선형독립인 벡터 리스트는 Theorem 5에 의해 기저의 일부분이다.
더나아가, $S$의 기저는 $V$의 모든 벡터들이 $S$안에 있을때, 전체공간 $V$의 기저이다.

Combine 기저 v, w
$$v\vee w=(v_1,\cdots,v_m,w_1,\cdots,w_r)$$

### Theorem 8 

만약 $t:V \rightarrow V'$가 유한차원정의역의 선형번환이면,

$$\dim V = \dim (\text{Ker}\;t)+\dim (\text{Im}\;t)\qquad(10)$$

더 자세하게는 $\text{Ker}\;\bf t$의 기저 $v$가 $V$의 기저 $\bf v\vee w$의 일부분이면, $t\circ {\bf w}$는 $\text{Im}\;t$의 기저이다.

증명 : Think proposition 7

$\bf v\vee w$에서 $v\in V$를 선형조합으로 나타내면,

$$v=\sum v_i\xi_i+\sum w_j\eta_j\qquad(t(v_i)=0)$$

로 나타낼수 있다.

$t(v)=\sum t(w_j)\eta_j$ 니까 $\bf w$는 $\text{Im}\;t$를 생성한다.

반면에, $\sum (tw_j)\eta_j=0 \Leftrightarrow t(\sum w_j\eta_j)=0$ 이면 kernel.

so, $\sum w_j\eta_j=\sum v_i\xi_i$인데 그러나 $\bf v\vee w$는 선형독립. 그래서 기저 $\bf v$는 선형독립. 선형독립이고 $\text{Im }V$ 생성하니 기저. 증명 끝.


$\text{rank }t=\dim(\text{Im }t), \text{nullity }t=\dim(\text{Ker t})$

(10) states that "rank plus nullity equals dimension of domain."
Sometimes $\text{Ker }t$ is called the "nullspace", and $\text{Im }t$ the "range" of t.

#### Corollary 1. 두 벡터 공간 $V$와 $V'$이 각각의 유한차원 $n$과 $n'$을 가지고 있으면 선형사상 $t:V\rightarrow V'$의 $\text{rank }r$은 기껏해야 최대 $n$과 $n'$ 작은 것 이다.

For each such map $t$, there is a basis $b$ of $V$ and a basis $b'$ of $V'$ such that

$$tb_1=b',\cdots,tb_r=b_r',tb_{r+1}=0,\cdots,tb_n=0$$

#### Corollary 2. $V$와 $V'$가 같은 유한차원의 벡터공간이라 하자. 아무 epimorphism t 나 아무 monomorphism t는 isomorphism 이다.

Proof: 

$\dim \text{Im }t=n$ 라는 것은 $\dim \text{Ker }t=0$ 이란 것이고 그러면 morphism $t$는 isomorphism 이다.
반대로, $\dim \text{Ker }t=0$ 라는 것은 $\dim \text{Im }t=n$ 이란 것이고 그러면 역시 morphism $t$ 가 isomorphism 이다.

#### Corollary 3. $\dim (V/S)=\dim V-\dim S$

#### Corollary 4.

$S$가 $V$의 부분공간이면 $V$의 direct summand고, $V$의 부분공간 $T$가 존재해서 $S+T=V$이고 $S\cap V=0$ 이다. 더더욱, $T\cong V/S$ 이다.

---

### Proposition 9

만약 벡터공간 W는 두 유한차원 부분공간 $V_1$과 $V_2$의 직합이면, $V_1$의 기저 $b'$ 와 $V_2$의 기저 $b''$에 대해 $b'\vee b''$는 $W$의 기저이다. 그런 이유로 $W$는 유한차원이고 $\dim W = \dim V_1 + \dim V_2$

$V_1\oplus V_2$ 가 직합(direct sum)이라고 하자. 그러면, 

#### Corollary 1. $\dim(V_1\oplus V_2)=\dim V_1+\dim V_2$

#### Corollary 2. $\dim(S+T)=\dim S+\dim T - \dim(S\cap T)$

proof: 

$$\begin{aligned}\\
\dim(S+T)&=\dim ((S+T)/(S\cap T)) + \dim(S\cap T)\\
&=\dim (S/(S\cap T))+\dim (T/(S\cap T))+ \dim(S\cap T)\\
&=\dim S+\dim T - \dim(S\cap T)
\end{aligned}$$

### Proposition 3

$\dim(V^{\bf m})=m\dim V \qquad(15)$

증명:m=1, (15) is immediate.
assume (15) for some m.
$V^{\bf m+1}$ is $f:{\bf m+1}\rightarrow V$

assigned to $(f',f(m+1))$

$V^{\bf m+1}\cong V^{\bf m}\oplus V$

#### Corollary $\dim[\text{Hom}(V,V')]=(\dim V)(\dim V')$

proof: $\text{Hom}(V,V')\cong(V')^n\qquad n=\dim V$.

## 쌍대로 묶인 벡터공간(Dually paired vector space)
벡터 공간 $V$를 right $F$-Module 로 보면, 그 쌍대(dual)은 left $F$-Module로 볼 수 있는 $V^* = \text{Hom}_F(V,F)$ 이다.

$f \in V^*$에 대해 생각해보자.
$$\begin{aligned}
f(v)&=f(b_1\xi_1+\cdots+b_n\xi_n)\\
 &=f(b_1)\xi_1+\cdots+f(b_n)\xi_n
\end{aligned}$$
이니까 $f$는 $fb_1, \cdots,fb_n$에 의해 유일하게 결정된다.
$f\mapsto f\cdot \bf{b}$ 인 morphism을 생각하면 isomorphism 이다.($f:V\rightarrow F, f\cdot {\bf b} : F^{n} \rightarrow F$)
$$\begin{aligned}
\delta_{ij} &= 1 \text{ for } i=j\\
&=0 \text{ for }i\neq j
\end{aligned}$$
를 크로네커 델타 기호라 부른다.

$fb_i=\lambda_i$라 하면, $f$는 $\lambda_i$에 대해 유일하게 결정된다.

$x_i\cdot b_j = \delta_{ij}$ 인 $x_i$를 잡으면

$f = \sum\lambda_ix_i$ 라고 할수 있다.

그럼 $x_1\cdots x_n$ 는 기저이다.

이 결과로 당연히 $\dim V^*=n$이다.

### Lemma 1. 0이 아닌 linear form $f \in V$에 대해서 적어도 $f(v)=1$ 인 $v$가 존재한다.

증명 : 이것은 자명하다. $f \ne 0$ 이면, $f(u)\ne 0$ 인 어떤 벡터 $u$가 존재한다. 그러면 적당한 역원을 곱해서 $f(v)=1$ 인 벡터를 얻을 수 있다.

### Lemma 2. 0이 아닌 유한차원벡터공간의 벡터 $u$ 에 대해서, 적어도 $f(u)=1$인 linear form이 존재한다.

증명 : $u\ne 0$이면, u는 선형 독립이므로, $V$ 기저의 일부분이다.
f 를 그 기저의 dual 기저로 잡으면 된다.

$f\in V^*$ 는 변수 $v$에 대해서 $v\mapsto f(v)$로 정의된다. 만약에 $v$를 고정하고 $f$를 변수라고 생각하면, $f\mapsto f(v)$는 $V^*\rightarrow F$ 인 함수가 된다.

이 함수에게 $\omega(v):V^*\rightarrow F$라고 이름 붙여주자. 그럼 $\omega$는 $V\rightarrow V^{**}$ 로 대응되는 함수이다.

### Corollary 3. 모든 유한차원 벡터공간 $V$는 자기 자신의 이중 dual $V^{**}$와 $(\omega v)(f)=f(v)$로 정의된 morphism $\omega$의해 동형이다.

증명 : $\omega$가 선형인건 자명하다. Lemma 2는 $\text{Ker}(\omega) = 0$임을 보인다. ($V^{**}$에서 0은 $\omega({\bf 0})$이다.) 그리고 $\dim V=\dim V^*=\dim V^{**}$이니까, $\omega$는 동형사상이다.

$V\cong V^*$는 기저를 정하고 동형사상을 만들었던 반면에,사상 $\omega: V \rightarrow V^{**}$는 어떤 기저에 대한 언급 없이 정의 되었다. 이러한 $\omega$를  natural map 이라고 함.

Anihilator