---
title: 집합(Set)
description: 수학에서의 집합
published: true
date: 2020-09-24T10:41:33.571Z
tags: 
editor: markdown
dateCreated: 2020-09-22T11:24:09.319Z
---

# 집합(Set)
집합은 직관적으로 원소들의 모임이다.
집합을 구성하는 방법은 여러가지가 있다.
## 순진한 집합론(Naive set theory)

직관적으로 집합(set)은 원소의 모임이고 함수는 원소를 다른 원소에 대응시키는 규칙이다. 집합의 예로, 모든 유리수의 집합 $\mathbb{Q}$나 모든 정수의 집합 $\natnums$, 모든 실수의 집합 $\mathbb{R}$이 있다. 유한한 갯수의 원소를 가진 집합은 그 모든 원소를 괄호 안에 나열함으로서 나타낼 수 있다. 예를 들어, 0에서 8까지 포함하는 사이의 모든 짝수를 $\{0,2,4,6,8\}$라고 밝힐 수 있고 6의 양의 약수의 집합을 $\{1,2,3,6\}$ 이라고 쓸 수 있다. 이때 원소를 나열하는 순서는 상관없다. 예를 들면 $\{1,2,3,6\}=\{1,3,6,2\}$ 이다.

좀더 형식적으로, "$x \in S$"라는 것은 "$x$가 집합 $S$의 원소(element)이다."나 "$x$가 집합 $S$의 구성원(member)이다.", "$x$는 $S$에 속한다."를 나타낸다. "$x \notin S$"는 $x$가 집합 $S$에 속하지 않는다는 것이다. 집합은 속하는 원소에 의해서만 결정되므로, 집합 S와 T가 같다는 것은
$$\tag{1} S=T \iff \forall x( x \in S  \iff x \in T ) $$
로 정의된다. "S가 T에 속한다", "S가 T의 부분집합이다"라는 것은 S의 모든 원소가 T의 원소라는 것이고, 기호로는
$$\tag{2} S\subset T \iff \forall x (x \in S \implies x \in T) $$
라고 한다. 정의를 보면
$$\tag{3} S \subset T \land T \subset S \iff S = T$$
라는 것을 쉽게 알 수 있다.

공집합이란 원소를 하나도 가지지 않은 집합을 말한다. (1)의 정의에 따라서 모든 공집합은 같다. 공집합은 기호로 $\emptyset$ 으로 쓴다.

## ZFC 집합론(ZFC set theory)


러셀의 역설