---
title: 환(Ring)
description: 대수에서의 환
published: true
date: 2020-09-23T12:14:24.004Z
tags: 대수
editor: markdown
dateCreated: 2020-09-22T12:10:21.670Z
---

# 환(Ring)

환(Ring) $R = (R,+,\cdot,1)$은 다음과 같은 두 이항연산과 원소 1있는 집합 $R$이다.
- $(R,+$)는 [아벨군](/아벨군)이다.
- $(R,\cdot,1)$은 [모노이드(Monoid)](/모노이드)이다.
- 곱은 분배적이다.

마지막 조건은 뜻하는 것은 $a,b,c \in R$인 모든 세 원소가,
$$a(b+c)=ab+ac,\text{		}(a+b)c=ac+bc$$
를 만족한다는 것이다.

## 환 만들기(Constructions for rings)
한 환(Ring)으로부터 여러가지 환을 만들기.
### 부분환(Subrings)

### Function ring

환 R과 집합 X에 대해서 $R^X$의 덧셈과 곱셈을
$$(f+g)(x)=f(x)+g(x), (fg)(x)=f(x)g(x)$$
라고 하면 환을 이룬다.

### $\text{End}(A)$

[아벨군](/아벨군)의 endomorphism으로도 환을 만들 수 있다.
아벨군 $A$에 대해서, 그 $\text{End}(A)$를 원소로 하고 덧셈과 곱셈을 이렇게 정의하자.
$f,g\in End(A)$와 $a\in A$에 대해서,
$$(f+g)(a)=f(a)+g(a), (f\cdot g)(a)=f(g(a))$$
라고 하면 이것이 환(Ring)이 된다.
#### 증명

## 잉여환(Quotient rings)

## 정역과 체(Integral Domain and field)

## 다항식환(polynomial rings)

## 함수로서의 다항식(Polynomials as functions)

## 나눗셈 알고리즘(The division algorithm)

## 주아이디얼역(Principal ideal domains)

## 소체(Prime fields)

## 유클리드 알고리즘(The euclidean algorithm)

## 교환잉여환(Commutative quotient rings)